Xalan-Java: Class AVTPart

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xslt
Class AVTPart

    java.lang.Object
      |
      +--org.apache.xalan.xslt.AVTPart

Direct Known Subclasses:
  AVTPartSimple, AVTPartXPath

public abstract class AVTPart
extends java.lang.Object
implements java.io.Serializable

**For internal use only** Class to hold a part, either a string or XPath, of an Attribute Value Template.

See Also:
  Serialized Form

Constructor Summary
`AVTPart()` **For internal use only** Construct a part.

Method Summary
`abstract void` | `evaluate(XPathSupport execContext, java.lang.StringBuffer buf, org.w3c.dom.Node context, PrefixResolver nsNode)` **For internal use only** Write the evaluated value into the given string buffer.
`void` | `setXPathSupport(XPathSupport support)` **For internal use only** Set the XPath support.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AVTPart

    public AVTPart()

  **For internal use only** Construct a part.

Method Detail

### evaluate

    public abstract void evaluate(XPathSupport execContext,
                                  java.lang.StringBuffer buf,
                                  org.w3c.dom.Node context,
                                  PrefixResolver nsNode)
                           throws org.xml.sax.SAXException

  **For internal use only** Write the evaluated value into the given string buffer.
  Parameters:
    `buf` - Buffer to write into.
    `context` - The current source tree context.
    `nsNode` - The current namespace context (stylesheet tree context).
    `NodeList` - The current Context Node List.

### setXPathSupport

    public void setXPathSupport(XPathSupport support)

  **For internal use only** Set the XPath support.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.